classification
Title: Use PY_VECTORCALL_ARGUMENTS_OFFSET for __exit__
Type: performance Stage: resolved
Components: Interpreter Core Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: jdemeyer, methane
Priority: normal Keywords: patch

Created on 2019-07-02 12:22 by jdemeyer, last changed 2019-07-10 10:51 by jdemeyer. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14557 merged jdemeyer, 2019-07-02 12:35
Messages (2)
msg347139 - (view) Author: Jeroen Demeyer (jdemeyer) * (Python triager) Date: 2019-07-02 12:22
35% of all cases where methods are called without PY_VECTORCALL_ARGUMENT_OFFSET and taking at least 1 argument (positional or keyword) are calls to __exit__

So we should really optimize __exit__
msg347215 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-07-03 10:52
New changeset 469d1a70cecc918499c288fc0e5e3d79711bc5e5 by Inada Naoki (Jeroen Demeyer) in branch 'master':
bpo-37484: use _PyObject_Vectorcall for __exit__ (GH-14557)
https://github.com/python/cpython/commit/469d1a70cecc918499c288fc0e5e3d79711bc5e5
History
Date User Action Args
2019-07-10 10:51:35jdemeyersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-07-03 10:52:27methanesetmessages: + msg347215
2019-07-02 12:35:55jdemeyersetkeywords: + patch
stage: patch review
pull_requests: + pull_request14373
2019-07-02 12:22:05jdemeyercreate